#ifndef ENTITY_UPDATE_PACKET_H
#define ENTITY_UPDATE_PACKET_H

#include "common/entities/Entity.h"
#include "math/Vector.h"
#include "network/Packet.h"

struct EntityUpdatePacket {
    float lengthAngle;
    float widthAngle;
    Vector3 position;
    Vector3 velocity;

    EntityUpdatePacket(const Entity& e);
    EntityUpdatePacket();

    void write(OutPacket& out) const;
    bool read(InPacket& in);

    static int getSize();
};

#endif