#ifndef GAMESERVER_H
#define GAMESERVER_H

#include "common/world/World.h"
#include "server/entities/ServerPlayer.h"
#include "utils/Clock.h"

namespace Game {
    extern Clock ticksPerSecond;
    extern BlockRegistry blocks;
    extern World world;

    void stop();
    bool isRunning();

    void init();
    void tick();

    void addPlayer(ServerPlayer& p);
    void removePlayer(ServerPlayer& p);
}

#endif